Ubuntu : capturer un flux MMS avec MiMMS

mms Ubuntu : capturer un flux MMS avec MiMMSPour l’article concernant le voyage en Angleterre 2010, j’ai eu à récupérer le reportage sur le site de l’émission “13h15 le samedi”. Étant donné qu’on ne connait pas vraiment le temps de rétention de ces émissions (qui disparaitront très certainement du site), il est bon de pouvoir en télécharger une copie.

Les flux MMS (Microsoft Media Server), un format de streaming propriétaire créé par Microsoft, n’ont rien à voir avec le Flash Video (FLV) que l’on trouve sur Youtube ou Dailymotion : on ne peut pas le sauvegarder facilement depuis son navigateur, il faut le capturer !

Installation de MiMMS

MiMMS est un logiciel en ligne de commande pour Linux qui vous permet de capturer des flux vidéos utilisant le protocole MMS (dont les url commencent par mms://). MiMMS est un acronyme récursif (comme PHP!) qui signifie “MiMMS isn’t an MMS Message Sender”.

On l’installe très simplement :

ou en installant le paquet mimms via Synaptic.

Pour les utilisateurs d’Ubuntu >= 10.04, une manipulation supplémentaire est nécessaire :
  1. on récupère une version plus récente du paquet libmms0.
  2. et on installe le paquet :

Utilisation de MiMMS

Il suffit de lancer la page qui contient la vidéo dans votre navigateur. Regardez la source de la page et chercher le lien MMS qui correspond à votre vidéo. Copiez ce lien puis lancez la commande suivante :

Et voilà, le fichier WMV est automatiquement téléchargé dans le répertoire courant. A noter que l’on peut faire de même directement dans VLC.


8 commentaires

  1. awana_1 a écrit :
    1

    Merci Matt !
    C’est bon de savoir que c’est possible avec linux.

    • Matt a écrit :
      1.1

      Je t’en prie awana_1 :)

      Oui, je trouve ça très simple sous Linux. Sous Windows, j’utilisais Flashget ou Net Transport pour récupérer ce genre de fichiers.

  2. Pierre a écrit :
    2

    Bonjour, j’ai essayé de télécharger des flux mms, mais à chaque fois, j’ai ce genre de réponse sur mon terminal :

    Connecting …libmms error:/usr/lib/p ython2.6/dist-pa ckages/libmimms/ core.py:245: DeprecationWarni ng: BaseException.me ssage has been deprecated as of Python 2.6 print >> sys.stderr, “libmms error:”, e.message libmms connection error

    Qu’est-ce que ça veut dire : j’ai un problème avec un fichier d’installation, ou quoi ?

    J’utilise Ubuntu, et je ne sais pas quoi faire ?
    Merci pour votre aide

  3. Pierre 1er a écrit :
    3

    Merci, mais je suis en 64 bits, et j’ai reçu ça en réponse, quand j’ai essayé d’installer le paquetage :

    dpkg : erreur de traitement de libmms0_0.6.2-1_i386.deb (–install) :
    l’architecture du paquet (i386) ne correspond pas à celle du système (amd64)
    Des erreurs ont été rencontrées pendant l’exécution :
    libmms0_0.6.2-1_i386.deb

    Désolé d’être aussi nul, mais je vais essayer de trouver la bonne version avec le gestionnaire de paquetages en attendant votre réponse…

  4. Pierre 1er a écrit :
    4

    Malheureusement, libmms est déjà installé, sans précision sur la version, entre 32 ou 64 bits…
    Idem pour Mimms !

  5. Pierre 1er a écrit :
    5

    J’ai désinstallé Mimms et libmms avec Synaptic, puis réinstallé en suivant vos instructions dans le terminal, et ça marche :-)

    Merci beaucoup !

  6. Matt a écrit :
    6

    Mise à jour des liens OVH.

quick-menu

Laisser un commentaire


Si vous possédez un compte, connectez-vous.

Me tenir informé(e) des futurs commentaires.